<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: erpc::BasicCodecFactory Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpc_1_1_basic_codec_factory.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classerpc_1_1_basic_codec_factory-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpc::BasicCodecFactory Class Reference<div class="ingroups"><a class="el" href="group__infra.html">Infrastructure</a> &raquo; <a class="el" href="group__infra__codec.html">Serialization</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Basic codec factory implements functions from codec factory.  
 <a href="classerpc_1_1_basic_codec_factory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="basic__codec_8h_source.html">basic_codec.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for erpc::BasicCodecFactory:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><iframe scrolling="no" frameborder="0" src="classerpc_1_1_basic_codec_factory__inherit__graph.svg" width="180" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Collaboration diagram for erpc::BasicCodecFactory:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><iframe scrolling="no" frameborder="0" src="classerpc_1_1_basic_codec_factory__coll__graph.svg" width="180" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae6e09ba44bba02818bf1f6a7c4edff3f"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classerpc_1_1_basic_codec.html">BasicCodec</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec_factory.html#ae6e09ba44bba02818bf1f6a7c4edff3f">create</a> ()</td></tr>
<tr class="memdesc:ae6e09ba44bba02818bf1f6a7c4edff3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return created codec.  <a href="#ae6e09ba44bba02818bf1f6a7c4edff3f">More...</a><br /></td></tr>
<tr class="separator:ae6e09ba44bba02818bf1f6a7c4edff3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f3929fe7d4549ba1399fc18e8a9cc3a"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec_factory.html#a9f3929fe7d4549ba1399fc18e8a9cc3a">dispose</a> (<a class="el" href="classerpc_1_1_codec.html">Codec</a> *codec)</td></tr>
<tr class="memdesc:a9f3929fe7d4549ba1399fc18e8a9cc3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dispose codec.  <a href="#a9f3929fe7d4549ba1399fc18e8a9cc3a">More...</a><br /></td></tr>
<tr class="separator:a9f3929fe7d4549ba1399fc18e8a9cc3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classerpc_1_1_codec_factory"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classerpc_1_1_codec_factory')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classerpc_1_1_codec_factory.html">erpc::CodecFactory</a></td></tr>
<tr class="memitem:af78f7079929ab75f3b70b794d993a229 inherit pub_methods_classerpc_1_1_codec_factory"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af78f7079929ab75f3b70b794d993a229"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_codec_factory.html#af78f7079929ab75f3b70b794d993a229">CodecFactory</a> ()</td></tr>
<tr class="memdesc:af78f7079929ab75f3b70b794d993a229 inherit pub_methods_classerpc_1_1_codec_factory"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor. <br /></td></tr>
<tr class="separator:af78f7079929ab75f3b70b794d993a229 inherit pub_methods_classerpc_1_1_codec_factory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1a43657104faa343ca4e578bc9c55b3 inherit pub_methods_classerpc_1_1_codec_factory"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1a43657104faa343ca4e578bc9c55b3"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_codec_factory.html#aa1a43657104faa343ca4e578bc9c55b3">~CodecFactory</a> ()</td></tr>
<tr class="memdesc:aa1a43657104faa343ca4e578bc9c55b3 inherit pub_methods_classerpc_1_1_codec_factory"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classerpc_1_1_codec_factory.html" title="Abstract interface for codec factory. ">CodecFactory</a> destructor. <br /></td></tr>
<tr class="separator:aa1a43657104faa343ca4e578bc9c55b3 inherit pub_methods_classerpc_1_1_codec_factory"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Basic codec factory implements functions from codec factory. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ae6e09ba44bba02818bf1f6a7c4edff3f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classerpc_1_1_basic_codec.html">BasicCodec</a>* erpc::BasicCodecFactory::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return created codec. </p>
<dl class="section return"><dt>Returns</dt><dd>Pointer to created codec. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec_factory.html#ac5e961deb0ec655e51ed60e997c6c2c1">erpc::CodecFactory</a>.</p>

</div>
</div>
<a class="anchor" id="a9f3929fe7d4549ba1399fc18e8a9cc3a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void erpc::BasicCodecFactory::dispose </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpc_1_1_codec.html">Codec</a> *&#160;</td>
          <td class="paramname"><em>codec</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Dispose codec. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">codec</td><td><a class="el" href="classerpc_1_1_codec.html" title="Abstract serialization encoder/decoder interface. ">Codec</a> to dispose. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec_factory.html#a5dcc103c26e177051cc9e8dd98454591">erpc::CodecFactory</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="basic__codec_8h_source.html">basic_codec.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
